Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 477484

Summary: dev-python/PyQt5 ebuild request
Product: Gentoo Linux Reporter: Franz Trischberger <franz.trischberger>
Component: [OLD] LibraryAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: enhancement CC: aklhfex, gentoo, info, jklawiter, josef64, riepernet
Priority: Normal Keywords: EBUILD
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.riverbankcomputing.com/software/pyqt/download5
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 454132    
Bug Blocks: 521484    
Attachments: Ebuild for PyQt5 5.3.2
Add printsupport dependency for QtWebKitWidgets

Description Franz Trischberger 2013-07-20 11:11:53 UTC
changeset:   785762fc2868
date:        Sun Jun 16 14:28:48 2013 +0100
Released as v5.0.

Would be nice to get this into portage.
Download: http://www.riverbankcomputing.co.uk/software/pyqt/download5
Comment 1 Davide Pesavento gentoo-dev 2013-08-16 07:49:08 UTC
Assigning to maintainer-wanted since this is effectively a new package.
Comment 2 Jacob Floyd 2014-07-23 21:22:03 UTC
An ebuild is in the unity-gentoo overlay.
Comment 3 riepernet 2014-08-06 10:52:50 UTC
the ebuild in unity-overlay is of a different version (5.2.1) than the rest of Qt5 (qt-overlay). 
I encountered incompatabilities with at least qtwebkit. Fiddled around with the 5.2.1-ebuild, but due to my limited knowledge, building other versions failed.
Comment 4 Stefan Radermacher 2014-10-04 09:18:15 UTC
Created attachment 386026 [details]
Ebuild for PyQt5 5.3.2

Here's an ebuild dev-python/PyQt5-5.3.2.ebuild for PyQt5 version 5.3.2, which is needed to build Calibre 2.x:

Before emerging, you will need to manually create a symbolic link for Qt5's qprinter.h:

ln -s /usr/include/qt5/QtPrintSupport/qprinter.h /usr/include/qt5

After that you can compile PyQt5. I've attached an ebuild for Calibre 2.4.0 to Bug #521484 that sets the appropriate USE flags for its PyQt5 dependency.
Comment 5 Chris Mayo 2014-10-04 09:39:21 UTC
Created attachment 386030 [details, diff]
Add printsupport dependency for QtWebKitWidgets

Or you can try this patch from:
http://www.riverbankcomputing.com/pipermail/pyqt/2014-September/034830.html

Apparently will be in the next PyQt5 version:
http://www.riverbankcomputing.com/pipermail/pyqt/2014-October/034908.html
Comment 6 Davide Pesavento gentoo-dev 2014-10-08 00:08:42 UTC
Should we:

1. rename dev-python/PyQt4 to dev-python/PyQt (or lowercase pyqt)
2. move 4.x ebuilds to SLOT=4
3. add new PyQt 5.x packages as SLOT=5 of dev-python/PyQt

?
Comment 7 Davide Pesavento gentoo-dev 2014-10-08 00:20:54 UTC
Note that they are considered two separate packages on PyPI, but that may be due to a limitation of PyPI engine.
Comment 8 Michael Palimaka (kensington) gentoo-dev 2014-10-08 07:59:56 UTC
(In reply to Davide Pesavento from comment #6)
> Should we:
> 
> 1. rename dev-python/PyQt4 to dev-python/PyQt (or lowercase pyqt)
> 2. move 4.x ebuilds to SLOT=4
> 3. add new PyQt 5.x packages as SLOT=5 of dev-python/PyQt
> 
> ?

Seems reasonable.
Comment 9 Davide Pesavento gentoo-dev 2014-10-13 17:31:12 UTC
(In reply to Davide Pesavento from comment #6)

OTOH, it doesn't really give us any benefits, and it requires some work to fix all the revdeps, so I'm not gonna do it for now.
Comment 10 Davide Pesavento gentoo-dev 2014-10-13 17:31:42 UTC
*PyQt5-5.3.2 (13 Oct 2014)

  13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt5-5.3.2.ebuild,
  +metadata.xml:
  Initial commit of PyQt5, closes bug #477484. Ebuild written by me, based on
  dev-python/PyQt4.